cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/fulfillment_terms/ft_6e7f8091a2b3c4d5e6f708192a3b4c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_term": {
"display_name": "One month",
"description": "Fulfill within a month"
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_terms.update_settings_fulfillment_term(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
{
"fulfillment_term": {
"display_name": "One month",
"description": "Fulfill within a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentTerms.updateSettingsFulfillmentTerm('ft_6e7f8091a2b3c4d5e6f708192a3b4c5d', {
fulfillment_term: {display_name: 'One month', description: 'Fulfill within a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentTerms->updateSettingsFulfillmentTerm(
'ft_6e7f8091a2b3c4d5e6f708192a3b4c5d',
[
'fulfillment_term' => [
'display_name' => 'One month',
'description' => 'Fulfill within a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_terms.fulfillment_terms_dto.FulfillmentTermsDto.SettingsFulfillmentTerm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentTerm> response = client.fulfillmentTerms().updateSettingsFulfillmentTerm(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
Map.of(
"fulfillment_term", Map.of(
"display_name", "One month",
"description", "Fulfill within a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentTerms.UpdateSettingsFulfillmentTermAsync(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
new Dictionary<string, object?>
{
["fulfillment_term"] = new Dictionary<string, object?>
{
["display_name"] = "One month",
["description"] = "Fulfill within a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentTerms.updateSettingsFulfillmentTerm(
'ft_6e7f8091a2b3c4d5e6f708192a3b4c5d',
{
'fulfillment_term': {
'display_name': 'One month',
'description': 'Fulfill within a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentTerms().UpdateSettingsFulfillmentTerm(context.Background(), "ft_6e7f8091a2b3c4d5e6f708192a3b4c5d", map[string]any{
"fulfillment_term": map[string]any{
"display_name": "One month",
"description": "Fulfill within a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Fulfillment terms
Update a fulfillment term
Changes a fulfillment term, or turns it on or off, and returns it.
PATCH
/
settings
/
fulfillment_terms
/
{fulfillment_term_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/fulfillment_terms/ft_6e7f8091a2b3c4d5e6f708192a3b4c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_term": {
"display_name": "One month",
"description": "Fulfill within a month"
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_terms.update_settings_fulfillment_term(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
{
"fulfillment_term": {
"display_name": "One month",
"description": "Fulfill within a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentTerms.updateSettingsFulfillmentTerm('ft_6e7f8091a2b3c4d5e6f708192a3b4c5d', {
fulfillment_term: {display_name: 'One month', description: 'Fulfill within a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentTerms->updateSettingsFulfillmentTerm(
'ft_6e7f8091a2b3c4d5e6f708192a3b4c5d',
[
'fulfillment_term' => [
'display_name' => 'One month',
'description' => 'Fulfill within a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_terms.fulfillment_terms_dto.FulfillmentTermsDto.SettingsFulfillmentTerm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentTerm> response = client.fulfillmentTerms().updateSettingsFulfillmentTerm(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
Map.of(
"fulfillment_term", Map.of(
"display_name", "One month",
"description", "Fulfill within a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentTerms.UpdateSettingsFulfillmentTermAsync(
"ft_6e7f8091a2b3c4d5e6f708192a3b4c5d",
new Dictionary<string, object?>
{
["fulfillment_term"] = new Dictionary<string, object?>
{
["display_name"] = "One month",
["description"] = "Fulfill within a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentTerms.updateSettingsFulfillmentTerm(
'ft_6e7f8091a2b3c4d5e6f708192a3b4c5d',
{
'fulfillment_term': {
'display_name': 'One month',
'description': 'Fulfill within a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentTerms().UpdateSettingsFulfillmentTerm(context.Background(), "ft_6e7f8091a2b3c4d5e6f708192a3b4c5d", map[string]any{
"fulfillment_term": map[string]any{
"display_name": "One month",
"description": "Fulfill within a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Send the changes under
fulfillment_term. Set status to active or inactive to turn the term on or off.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment term's id, from the listing.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated fulfillment term, under fulfillment_term.
Show child attributes
Show child attributes